# Method: geocode.places.geocodePlace

- [HTTP request](https://developers.google.com/maps/documentation/geocoding/reference/rest/v4beta/geocode.places/geocodePlace#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/geocoding/reference/rest/v4beta/geocode.places/geocodePlace#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/documentation/geocoding/reference/rest/v4beta/geocode.places/geocodePlace#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/geocoding/reference/rest/v4beta/geocode.places/geocodePlace#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/geocoding/reference/rest/v4beta/geocode.places/geocodePlace#body.response_body)
- [Authorization scopes](https://developers.google.com/maps/documentation/geocoding/reference/rest/v4beta/geocode.places/geocodePlace#body.aspect)

This method performs a geocode lookup using a place ID.

### HTTP request

`GET https://geocode.googleapis.com/v4beta/geocode/{place=places/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `place` | `string` Required. Place identifier to geocode in the format of places/{place}. |

### Query parameters

| Parameters ||
|---|---|
| `languageCode` | `string` Optional. Language in which the results should be returned. |
| `regionCode` | `string` Optional. Region code. The region code, specified as a ccTLD ("top-level domain") two-character value. The parameter affects results based on applicable law. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/maps/documentation/geocoding/reference/rest/v4beta/GeocodeResult`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/maps-platform.geocode`
- `
  https://www.googleapis.com/auth/maps-platform.geocode.place`